Subject: Re: bug#22617: 24.4; AltGr not working after Xmodmap
From: Stefan Kangas <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: Christoph-Simon Senjak <[email-masked]>, [email-masked]
Date: Thu, 16 Jan 2020 15:20:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars Ingebrigtsen <[email-masked]> writes:

> Christoph-Simon Senjak <[email-masked]> writes:
>
>>  I have the following .Xmodmap:
>>
>>     keycode 135 = Alt_L
>>     keycode 167 = Page_Down
>>     keycode 166 = Page_Up
>>     remove mod4 = Super_L
>>     add    mod5 = Super_L
>>
>>  Otherwise, my keymap is
>>
>>     de nodeadkeys compose:caps
>>
>>  Since the .Xmodmap, I cannot type in stuff that requires AltGr
>> anymore (even
>>  though I did not even remap it). Even with the new mod5 key it doesn't
>>  work. (For example, AltGr+q is (at), and AltGr+7,8,9,0 are braces.
>>
>>  In all other applications (including emacs -nw), it works well.
>
> (I'm going through old bug reports that have unfortunately not gotten
> any responses.)
>
> Are you still seeing this problem?  There doesn't seem to be anything
> particular in your .Xmodmap that references AltGr...  unless your
> Mode_switch was on mod5, and this made something confused.
>
> What's the output from "xmodmap" (without any parameters)?

More information was requested, but none was given within 24 weeks, so I'm
closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.

Best regards,
Stefan Kangas